cURL
curl --request POST \
--url https://platform.thena.ai/v1/tickets/{id}/comment \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"content": "<string>",
"contentHtml": "<string>",
"contentJson": "<string>",
"threadName": "<string>",
"parentCommentId": "<string>",
"commentVisibility": "<string>",
"commentType": "<string>",
"customerEmail": "<string>",
"metadata": {},
"attachmentIds": [
"<string>"
],
"impersonatedUserEmail": "<string>",
"impersonatedUserName": "<string>",
"impersonatedUserAvatar": "<string>",
"shouldSendEmail": true,
"deDuplicationKey": "<string>"
}
'import requests
url = "https://platform.thena.ai/v1/tickets/{id}/comment"
payload = {
"content": "<string>",
"contentHtml": "<string>",
"contentJson": "<string>",
"threadName": "<string>",
"parentCommentId": "<string>",
"commentVisibility": "<string>",
"commentType": "<string>",
"customerEmail": "<string>",
"metadata": {},
"attachmentIds": ["<string>"],
"impersonatedUserEmail": "<string>",
"impersonatedUserName": "<string>",
"impersonatedUserAvatar": "<string>",
"shouldSendEmail": True,
"deDuplicationKey": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
contentHtml: '<string>',
contentJson: '<string>',
threadName: '<string>',
parentCommentId: '<string>',
commentVisibility: '<string>',
commentType: '<string>',
customerEmail: '<string>',
metadata: {},
attachmentIds: ['<string>'],
impersonatedUserEmail: '<string>',
impersonatedUserName: '<string>',
impersonatedUserAvatar: '<string>',
shouldSendEmail: true,
deDuplicationKey: '<string>'
})
};
fetch('https://platform.thena.ai/v1/tickets/{id}/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"timestamp": "2024-01-01T00:00:00.000Z",
"data": {
"id": "<string>",
"content": "<string>",
"contentHtml": "<string>",
"contentJson": "<string>",
"contentMarkdown": "<string>",
"isEdited": true,
"threadName": "<string>",
"commentVisibility": "<string>",
"commentType": "<string>",
"isPinned": true,
"sourceEmailId": "<string>",
"metadata": {},
"parentCommentId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"author": "<string>",
"authorId": "<string>",
"authorUserType": "<string>",
"customerContactId": "<string>",
"customerContactEmail": "<string>",
"customerContactFirstName": "<string>",
"customerContactLastName": "<string>",
"customerContactAvatarUrl": "<string>",
"authorAvatarUrl": "<string>",
"impersonatedUserEmail": "<string>",
"impersonatedUserName": "<string>",
"impersonatedUserAvatar": "<string>",
"attachments": [
"<string>"
],
"deletedAt": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Ticket ID is required!"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Ticket not found!"
}Tickets
Comment on a ticket
POST
/
v1
/
tickets
/
{id}
/
comment
cURL
Authorizations
Enter your API key
Path Parameters
Body
application/json
The content of the comment
The HTML content of the comment
The JSON content of the comment
The name of the comment thread
The parent comment ID
The visibility of the comment
The type of the comment
The customer email of the comment
The metadata of the comment
The attachment IDs
The impersonated user email
The impersonated user name
The impersonated user avatar
Whether to send an email
A deduplication key provided by an external application. The platform uses this key to prevent the creation of duplicate comments.
Maximum string length:
255Response
Operation successful
The status of the response
The message of the response
The timestamp of the response
The response for create/update/delete comment operations
Show child attributes
Show child attributes
⌘I